0

I'm new in Gentoo. I'm trying get the mysql2 gem installed. But it's stuck. I found out that I need MySQL client libraries. I tried:

emerge dev-db/mysql:minimal

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

 * IMPORTANT: config file '/etc/portage/package.keywords' needs updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.
Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "dev-db/mysql:minimal".

And it is not installing. What do I need to do?

1
  • Try using the minimal USE Flag
    – eyoung100
    Aug 26 '15 at 0:03
2

Gems are usually not installed through portage. To install a Ruby gem, make sure rubygems is merged and then run gem20 install <gem> or gem21 install <gem> depending on your system.

Edit: since emerge --search mysql-minimal returns nothing, you know it isn't in the portage tree and can't be installed with emerge. Running gem search mysql2 shows that the library can be installed with gem install mysql2.

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.